Bug 249391 - Editor scroll very slow on iMac retina 5k
Editor scroll very slow on iMac retina 5k
Status: REOPENED
Product: editor
Classification: Unclassified
Component: Painting & Printing
8.0.2
Macintosh (x86) Mac OS X
: P3 with 8 votes (vote)
: TBD
Assigned To: David Strupl
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-16 17:54 UTC by mcheung63
Modified: 2015-12-15 03:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mcheung63 2014-12-16 17:54:44 UTC
Editor scroll very slow on iMac retina 5k, if i add "-J-Dswing.volatileImageBufferEnabled=false" to netbeans.conf, scroll is fast but no longer in retina mode.

Peter
Comment 1 isgnbfeu 2015-01-15 19:07:05 UTC
I can confirm this problem. But not only scrolling is awfully slow, even such simple tasks as updating the editor content while typing is so slow the editor is pretty much unusable. You can watch the typed letters appear one by one seconds after having been typed.

-J-Dswing.volatileImageBufferEnabled=false really seems to be the only way to make NetBeans at least usable (thanks to mcheung63 for that workaround). But the text looks quite ugly that way, so it's really just a temporary workaround, not a fix.
Comment 2 pjl 2015-01-18 06:25:26 UTC
This fixed it for me:

https://jdk8.java.net/download.html
Comment 3 mcheung63 2015-01-18 09:31:02 UTC
Hi pjl@netbeans.org , just tried your b40, the scroll is still terrible.
Comment 4 pjl 2015-01-19 05:13:13 UTC
It's still not as good as it is on a non-retina display but I'm finding it useable now - although I haven't done much with it yet.

The big difference is when typing.  With the previous version of Java it would take 3-4 secs. for the text to appear on screen.  Now it's pretty much instantaneous.

Not ideal but it's a real improvement for me.
Comment 5 racekarl 2015-01-23 14:11:09 UTC
I also have this issue on Retina 5K iMac and I have applied JDK8u40 and not seen much improvement. It may be marginally better, but it is still painfully, unacceptably slow.
Comment 6 david_bigham 2015-03-06 04:18:21 UTC
I too was hoping that 8u40 was going to fix this issue - but NB is unusable on a 5k iMac without the "-J-Dswing.volatileImageBufferEnabled=false" flag (or unless you drag NB over to a second display).

Unfortunately the JDK-8029253 ticket and fix does not fix this issue 8(
Comment 7 ylsine 2015-04-18 03:37:52 UTC
+1 on this.  I'd be happy to test any fixes if that will help.
Comment 8 santi.ontanon 2015-05-11 19:15:59 UTC
Thanks for looking into this, I just wanted to add one more piece of information. I've noticed that the lag goes away when scrolling through part of the code that is commented out. So, if you comment out a whole Java file with /* ... */, then it scrolls smoothly. As soon as you uncomment it, then it slows down. Just in case this can help.
Comment 9 stiffuser 2015-07-31 01:31:16 UTC
I am also experiencing this issue on a 12-inch Retina Macbook, with the latest versions of NetBeans and Java:

Product Version: NetBeans IDE 8.0.2 (Build 201411181905)
Updates: NetBeans IDE is updated to version NetBeans 8.0.2 Patch 2
Java: 1.8.0_60-ea; Java HotSpot(TM) 64-Bit Server VM 25.60-b23
Runtime: Java(TM) SE Runtime Environment 1.8.0_60-ea-b25
System: Mac OS X version 10.10.4 running on x86_64; UTF-8; es_XL (nb)

Usability is severely impaired. Changing product from "java" to editor, because I'm seeing this in a C++-only project and it's unlikely to be language related.
Comment 10 gerritvds 2015-08-07 18:10:23 UTC
OpenJDK 9 b76 has fixed this issue! You can download it from: https://jdk9.java.net/download/
Comment 11 stiffuser 2015-08-07 20:10:40 UTC
OpenJDK 9 b76 also fixed it for me
Comment 12 renannp 2015-09-17 06:45:53 UTC
I'm also facing the same issue in Mac OS X Yosemite, but in my case I have a Macbook Pro (current model) instead of iMac Retina 5k.

Using using latest version of the JDK:

java version "1.8.0_60"
Java(TM) SE Runtime Environment (build 1.8.0_60-b27)
Java HotSpot(TM) 64-Bit Server VM (build 25.60-b23, mixed mode)

I'll try with OpenJDK 9 as it was reported to work and update later.
Comment 13 mcheung63 2015-09-27 18:51:43 UTC
Confirm in mac using jdk1.9.0 scrolling is smooth enough. Here is my netbeans.conf:

netbeans_default_options="-J-client -J-Xss2m -J-Xms32m -J-Dapple.laf.useScreenMenuBar=true -J-Dapple.awt.graphics.UseQuartz=true -J-Dsun.java2d.noddraw=true -J-Dsun.java2d.dpiaware=true -J-Dsun.zip.disableMemoryMapping=true"
netbeans_jdk_home="/Library/Java/JavaVirtualMachines/jdk1.9.0.jdk/Contents/Home"
Comment 14 michelzandonai 2015-12-15 03:18:14 UTC
(I AM THE BRAZIL) After the installation of the JDK 8.72 scroll became more fluid and netbeans was well Lighter ..
VERY HAPPY


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo